package com.sptg.permissions.api.feigns.fallback;

import com.sptg.permissions.api.entity.CustInfoVerify;
import com.sptg.permissions.api.feigns.CustInfoVerifyFeign;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class CusInfoVerifyFeignFallbackFactory implements FallbackFactory<CustInfoVerifyFeign> {

    @Override
    public CustInfoVerifyFeign create(Throwable cause) {
        return new CustInfoVerifyFeign() {

            @Override
            public boolean verify(CustInfoVerify custInfoVerify) {
                return false;
            }
        };
    }
}
